export interface UserAPI {
  success: boolean
  data: User
}

export default interface User {
  _id: string
  name: string
  displayName: string
  email: string
  avatar: string
  role: string
  token: string
}

export interface UserPreferences {
  id: string
  theme: 'light' | 'dark'
  stickyNav: boolean
}

export interface UserFormValues {
  email: string
  password: string
  name?: string
  displayName?: string
  role?: string
}

export interface UserUpdateValues {
  email: string
  name: string
  displayName: string
  role: string
  avatar: string
}

export interface IForgotPassword {
  email: string
}

export interface IResetPassword {
  password: string
}