import defaultGame from '../models/defaultGame'
import Game, { Data, GameList } from '../models/game'
import { hookstate } from '@hookstate/core'

export const gameDashboardState = hookstate({
  success: false,
  count: {
    gamesPerPage: 0,
    totalGames: 0,
    currentPage: 0,
    pages: 0,
    limit: 0,
  },
  searchParams: '',
  pagination: { next: { page: 1 } },
  filters: {
    series: '',
    playStatus: '',
    genre: '',
    os: '',
    store: '',
    controller: '',
    developer: '',
    publisher: '',
    soundtrack: '',
    intel: '',
    wine: '',
    rating: '',
    steamRating: '',
  },
  data: [defaultGame as Data]
} as GameList)

export const detailedGameState = hookstate({
  success: false,
  data: defaultGame as Data
} as Game)
